## org.codehaus.groovy.vmplugin.v5
Class Java5

    java.lang.Object
      org.codehaus.groovy.vmplugin.v5.Java5

All Implemented Interfaces:
  VMPlugin

    public class Java5

extends Object
implements VMPlugin

java 5 based functions

Author:
  Jochen Theodorou

Constructor Summary
`Java5()`

Method Summary
`void` `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` `getPluginDefaultGroovyMethods()`
`void` `setGenericsTypes(ClassNode cn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java5

    public Java5()

Method Detail

### setGenericsTypes

    public void setGenericsTypes(ClassNode cn)

  Specified by:
    `setGenericsTypes` in interface `VMPlugin`

### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

  Specified by:
    `getPluginDefaultGroovyMethods` in interface `VMPlugin`

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit,
                                   ClassNode classNode)

  Specified by:
    `configureClassNode` in interface `VMPlugin`

Copyright © 2003-2008 The Codehaus. All rights reserved.